MPD: IdleFlags.hxx File Reference

MPD 0.20.18

Functions | Variables
IdleFlags.hxx File Reference
`#include "Compiler.h"`
Include dependency graph for IdleFlags.hxx:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
gcc_const const char *const * | idle_get_names () noexcept
| Get idle names. More...
gcc_nonnull_all gcc_pure unsigned | idle_parse_name (const char *name) noexcept
| Parse an idle name and return its mask. More...

## Variables
static constexpr unsigned | IDLE_DATABASE = 0x1
| song database has been updated More...
static constexpr unsigned | IDLE_STORED_PLAYLIST = 0x2
| a stored playlist has been modified, created, deleted or renamed More...
static constexpr unsigned | IDLE_PLAYLIST = 0x4
| the current playlist has been modified More...
static constexpr unsigned | IDLE_PLAYER = 0x8
| the player state has changed: play, stop, pause, seek, ... More...
static constexpr unsigned | IDLE_MIXER = 0x10
| the volume has been modified More...
static constexpr unsigned | IDLE_OUTPUT = 0x20
| an audio output device has been enabled or disabled More...
static constexpr unsigned | IDLE_OPTIONS = 0x40
| options have changed: crossfade; random; repeat; ... More...
static constexpr unsigned | IDLE_STICKER = 0x80
| a sticker has been modified. More...
static constexpr unsigned | IDLE_UPDATE = 0x100
| a database update has started or finished. More...
static constexpr unsigned | IDLE_SUBSCRIPTION = 0x200
| a client has subscribed or unsubscribed to/from a channel More...
static constexpr unsigned | IDLE_MESSAGE = 0x400
| a message on the subscribed channel was received More...
static constexpr unsigned | IDLE_NEIGHBOR = 0x800
| a neighbor was found or lost More...
static constexpr unsigned | IDLE_MOUNT = 0x1000
| the mount list has changed More...

## Function Documentation

## ◆ idle_get_names()

gcc_const const char* const* idle_get_names | ( |  | ) |
| noexcept

Get idle names.

## ◆ idle_parse_name()

gcc_nonnull_all gcc_pure unsigned idle_parse_name | ( | const char * | name | ) |
| noexcept

Parse an idle name and return its mask.

Returns 0 if the given name is unknown.

## Variable Documentation

## ◆ IDLE_DATABASE

constexpr unsigned IDLE_DATABASE = 0x1
| static

song database has been updated

Definition at line 31 of file IdleFlags.hxx.

## ◆ IDLE_MESSAGE

constexpr unsigned IDLE_MESSAGE = 0x400
| static

a message on the subscribed channel was received

Definition at line 62 of file IdleFlags.hxx.

## ◆ IDLE_MIXER

constexpr unsigned IDLE_MIXER = 0x10
| static

the volume has been modified

Definition at line 44 of file IdleFlags.hxx.

## ◆ IDLE_MOUNT

constexpr unsigned IDLE_MOUNT = 0x1000
| static

the mount list has changed

Definition at line 68 of file IdleFlags.hxx.

## ◆ IDLE_NEIGHBOR

constexpr unsigned IDLE_NEIGHBOR = 0x800
| static

a neighbor was found or lost

Definition at line 65 of file IdleFlags.hxx.

## ◆ IDLE_OPTIONS

constexpr unsigned IDLE_OPTIONS = 0x40
| static

options have changed: crossfade; random; repeat; ...

Definition at line 50 of file IdleFlags.hxx.

## ◆ IDLE_OUTPUT

constexpr unsigned IDLE_OUTPUT = 0x20
| static

an audio output device has been enabled or disabled

Definition at line 47 of file IdleFlags.hxx.

## ◆ IDLE_PLAYER

constexpr unsigned IDLE_PLAYER = 0x8
| static

the player state has changed: play, stop, pause, seek, ...

Definition at line 41 of file IdleFlags.hxx.

## ◆ IDLE_PLAYLIST

constexpr unsigned IDLE_PLAYLIST = 0x4
| static

the current playlist has been modified

Definition at line 38 of file IdleFlags.hxx.

## ◆ IDLE_STICKER

constexpr unsigned IDLE_STICKER = 0x80
| static

a sticker has been modified.

Definition at line 53 of file IdleFlags.hxx.

## ◆ IDLE_STORED_PLAYLIST

constexpr unsigned IDLE_STORED_PLAYLIST = 0x2
| static

a stored playlist has been modified, created, deleted or renamed

Definition at line 35 of file IdleFlags.hxx.

## ◆ IDLE_SUBSCRIPTION

constexpr unsigned IDLE_SUBSCRIPTION = 0x200
| static

a client has subscribed or unsubscribed to/from a channel

Definition at line 59 of file IdleFlags.hxx.

## ◆ IDLE_UPDATE

constexpr unsigned IDLE_UPDATE = 0x100
| static

a database update has started or finished.

Definition at line 56 of file IdleFlags.hxx.